Update tax code
Updates the description of an existing tax code. Returns 403 when the organization does not exist or the authenticated user is not an administrator of it. Returns 404 when the tax code is not found.
PUT
/
organizations
/
{organizationId}
/
taxcodes
/
{taxCodeId}
Update tax code
curl --request PUT \
--url https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Swedish VAT 25% Updated"
}
'import requests
url = "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}"
payload = { "description": "Swedish VAT 25% Updated" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'Swedish VAT 25% Updated'})
};
fetch('https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'description' => 'Swedish VAT 25% Updated'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}"
payload := strings.NewReader("{\n \"description\": \"Swedish VAT 25% Updated\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"Swedish VAT 25% Updated\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"Swedish VAT 25% Updated\"\n}"
response = http.request(request)
puts response.read_body{
"id": "63b7a7802a644e8ca296c9796ffa7074",
"description": "Swedish VAT 25%"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
String. The organization's internal ID (32-character hex string) or its externalSourceId. When the value matches the format of an internal ID, the internal ID takes precedence.
Example:
"11adfe2a080040e3892ffb89c21ec44e"
String. The ID of the tax code to update (32-character hex string), as returned in the id field of the list or GET response.
Example:
"63b7a7802a644e8ca296c9796ffa7074"
Body
application/json
Display name of the tax code. Must be non-empty and not whitespace-only.
Maximum string length:
255⌘I
Update tax code
curl --request PUT \
--url https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Swedish VAT 25% Updated"
}
'import requests
url = "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}"
payload = { "description": "Swedish VAT 25% Updated" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'Swedish VAT 25% Updated'})
};
fetch('https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'description' => 'Swedish VAT 25% Updated'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}"
payload := strings.NewReader("{\n \"description\": \"Swedish VAT 25% Updated\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"Swedish VAT 25% Updated\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/taxcodes/{taxCodeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"Swedish VAT 25% Updated\"\n}"
response = http.request(request)
puts response.read_body{
"id": "63b7a7802a644e8ca296c9796ffa7074",
"description": "Swedish VAT 25%"
}
